<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetDrawingPropSheetAttributes Method (IEdmVariableMgr7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableMgr7 Interface : GetDrawingPropSheetAttributes Method (IEdmVariableMgr7)

Visual Basic
C#
C++/CLI

lFolderID
  ID of folder from which to get the values

ppoSrcAttribs
  Array of attribute names used in the CustomProperty block

ppoDestAttribs
  Array of attribute names used in the $PRPSheet block

Gets all of the SLDDRW-card attributes that are linked to the $PRPSHEET block for the specified folder.

# Syntax

Visual Basic |
--- | ---

    Sub GetDrawingPropSheetAttributes( _
       ByVal lFolderID As System.Integer, _
       ByRef ppoSrcAttribs() As System.String, _
       ByRef ppoDestAttribs() As System.String _
    )

C# |
--- | ---

    void GetDrawingPropSheetAttributes(
       System.int lFolderID,
       out System.string[] ppoSrcAttribs,
       out System.string[] ppoDestAttribs
    )

C++/CLI |
--- | ---

    void GetDrawingPropSheetAttributes(
    &   System.int lFolderID,
    &   [Out] System.array<String^>^ ppoSrcAttribs,
    &   [Out] System.array<String^>^ ppoDestAttribs
    )

#### Parameters

lFolderID
  ID of folder from which to get the values
ppoSrcAttribs
  Array of attribute names used in the CustomProperty block
ppoDestAttribs
  Array of attribute names used in the $PRPSheet block

# Remarks

This method is used internally by SOLIDWORKS PDM Professional to copy attributes from the model's CustomProperty block to the $PRPSHEET block. ppoSrcAttribs and ppoDestAttribs both have the same number of elements.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariableMgr7 Interface
IEdmVariableMgr7 Members

# Availability

SOLIDWORKS PDM Professional 2011